gnutls_pkcs11_privkey_status(3)

NAME
gnutls_pkcs11_privkey_status - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_privkey_status(gnutls_pkcs11_privkey_t key);

ARGUMENTS

gnutls_pkcs11_privkey_t key
    Holds the key

DESCRIPTION
Checks the status of the private key token.

RETURNS
this function will return non-zero if the token holding the private key is still available (inserted), and zero otherwise.

SINCE
3.1.9

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/